Bug 101384 - several issues with ONPARENT in alias interface ifcfg files
Summary: several issues with ONPARENT in alias interface ifcfg files
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: initscripts   
(Show other bugs)
Version: 9
Hardware: i686 Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-07-31 16:03 UTC by Arne Hüggenberg
Modified: 2014-03-17 02:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-06-07 20:05:13 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Arne Hüggenberg 2003-07-31 16:03:26 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.1)

Description of problem:
If ONPARENT is set in an alias config file then aliases following this one wont be started, even if ONPARENT is yes or unset

Also it would be nice if the ONPARENT option actually were documented outside of old bugzilla bugs, so ppl dont waste hours fixing problems wich are already fixed

Version-Release number of selected component (if applicable):
initscripts-7.14-1

How reproducible:
Always

Steps to Reproduce:
1.create two alias interface configs e.g ifcfg-eth0:0 and ifcfg-eth0:1
2.add ONPARENT=no to config for eth0:0
3.restart network
    

Actual Results:  notice that ifcfg-eth0:1 does not get set up

Expected Results:  ifcfg-eth0:1 set up

Additional info:

Comment 1 Bill Nottingham 2003-09-04 03:36:32 UTC
Adding ONPARENT="" in ini_env() in ifup-aliases should fix this, it will be in
7.31-1.

Leaving open for the documentation bits.

Comment 2 Bill Nottingham 2004-06-07 20:05:13 UTC
ONPARENT is documented as of 7.47-1.


Note You need to log in before you can comment on or make changes to this bug.